Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451179 - RFE: please activate Controller Area Network support in standard fedora kernel in Fedora 8, 9 and following
Summary: RFE: please activate Controller Area Network support in standard fedora kerne...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 8
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-13 08:36 UTC by Michael Schulze
Modified: 2008-07-03 03:15 UTC (History)
0 users

Fixed In Version: 2.6.25.9-40.fc8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-03 03:15:04 UTC


Attachments (Terms of Use)

Description Michael Schulze 2008-06-13 08:36:52 UTC
Hi,

is it possible to activate an additional feature in the standard Fedora kernel,
which is contained in the Mainline Kernel since 2.6.25? Now, I have to always
compile if a new Kernel version comes out, because I would like to be up to
date. The requested feature is related to the new integration of the Controller
Area Network (CAN bus).  It would be nice if the following features  are
activated in the standard kernel:

CONFIG_CAN=m
CONFIG_CAN_RAW=m
CONFIG_CAN_BCM=m
CONFIG_CAN_VCAN=m

Regards,
Michael Schulze

Comment 1 Chuck Ebbert 2008-06-14 08:06:13 UTC
Enabled in F8 (2.6.25.6-29), F9 and rawhide.


Comment 2 Dave Jones 2008-06-14 17:34:57 UTC
out of curiousity, what devices are you controlling?


Comment 3 Michael Schulze 2008-06-16 11:41:02 UTC
Hi,

fyi, I program and control a robot with some embedded devices connected via CAN.
The Linux machine acts as development platform, controller as well as CAN-Sniffer.

Comment 4 Fedora Update System 2008-06-30 16:37:04 UTC
kernel-2.6.25.9-40.fc8 has been submitted as an update for Fedora 8

Comment 5 Fedora Update System 2008-07-01 05:25:35 UTC
kernel-2.6.25.9-40.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-5880

Comment 6 Fedora Update System 2008-07-03 03:14:46 UTC
kernel-2.6.25.9-40.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.